%define name		stylebook
%define full_name	xml-%{name}
%define version		1.0
%define beta2		%{version}b2
%define beta3		%{version}b3
%define release		7jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Apache XML project stylebook
License:        Apache License
Source0:        %{name}-%{version}-cvs.tar.bz2
Url:            http://xml.apache.org
Requires:	xerces-j1, jpackage-utils > 1.4
BuildRequires:  ant, jpackage-utils > 1.4
BuildRequires:  xerces-j1
Group:          Development/Java
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage project

%description
This is stylebook for Apache xml project.

%package demo
Summary:        Demo for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%package -n %{name}%{beta2}
Summary:        Version %{beta2} of %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       xalan-j1
BuildRequires:  xalan-j1

%description -n %{name}%{beta2}
This is version %{beta2} of %{name}, using xalan-j1.

%package -n %{name}%{beta3}
Summary:        Version %{beta3} of %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       xalan-j2 >= 2.2.0
BuildRequires:  xalan-j2 >= 2.2.0

%description -n %{name}%{beta3}
This is version %{beta3} %{name}, using xalan-j2.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{full_name}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# remove dos script
find . -name "*.bat" -exec rm -f {} \;
# remove all CVS files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%build
# xalan 1 version
export CLASSPATH=\
%{_javadir}/xerces-j1.jar:\
%{_javadir}/xalan-j1.jar
USE_JIKES=false ant -Dname=%{name}%{beta2} -Dversion=%{version} package
# clean classes between builds
rm -rf build
# xalan 2 version
export CLASSPATH=\
%{_javadir}/xerces-j1.jar:\
%{_javadir}/xml-commons-apis.jar:\
%{_javadir}/xalan-j2.jar
USE_JIKES=false ant -Dname=%{name}%{beta3} -Dversion-xalan-2=%{version} package2

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/%{name}%{beta2}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/%{name}%{beta3}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# styles
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr styles $RPM_BUILD_ROOT%{_datadir}/%{name}
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/demo
cp -pr docs/* $RPM_BUILD_ROOT%{_datadir}/%{name}/demo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/styles

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}/demo

%files -n %{name}%{beta2}
%defattr(-,root,root)
%{_javadir}/%{name}%{beta2}-%{version}.jar
%{_javadir}/%{name}%{beta2}.jar

%files -n %{name}%{beta3}
%defattr(-,root,root)
%{_javadir}/%{name}%{beta3}-%{version}.jar
%{_javadir}/%{name}%{beta3}.jar

%changelog
* Thu Mar 13 2003 Nicolas Mailhot <Nicolas.Mailhot at JPackage.org> 1.0-7jpp
- for jpackage-utils 1.5

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-6jpp 
- fixed broken build process
- standard naming of concurent version
- manual package is actually a demo package

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-5jpp
- no more class-path reference in manifest, as it is not java 1 compatible
- explicit xerces-j1 requirement
- fixed requires of %{subversion_2}
- section macro

* Sat Dec 8 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- added xalan 2.2.D13 support

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- first unified release
- added xalan-j1.jar in %{subversion_1} classpath for autoloading
- added xalan-j2.jar in %{subversion_2} classpath for autoloading
- s/jPackage/JPackage/

* Thu Sep 06 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2mdk
- moved style subpackage as base package
- correct requires and buildrequires for each subpackage
- cvs references
- spec cleanup

* Tue Aug 07 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1mdk
- new subpackage scheme
- s/Copyright/License/
- spec cleanup

* Sat Mar 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0b2-3mdk
- vendor tag
- packager tag

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0b2-2mdk
- spec cleanup
- changelog correction

* Thu Feb 01 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0b2-1mdk
- first Mandrake release
